From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/gtk-engines-experience/
Date: Tue, 24 Dec 2019 11:53:42 +0000 (UTC) [thread overview]
Message-ID: <1577188395.1d5f3be083259cb87c2825d0c79ea20df3d85043.soap@gentoo> (raw)
commit: 1d5f3be083259cb87c2825d0c79ea20df3d85043
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 11:53:15 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 11:53:15 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d5f3be0
x11-themes/gtk-engines-experience: Port to EAPI 7
Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>
.../gtk-engines-experience-0.10.5.ebuild | 23 ++++++++++++----------
1 file changed, 13 insertions(+), 10 deletions(-)
diff --git a/x11-themes/gtk-engines-experience/gtk-engines-experience-0.10.5.ebuild b/x11-themes/gtk-engines-experience/gtk-engines-experience-0.10.5.ebuild
index 3cd48544db7..87addbca4a1 100644
--- a/x11-themes/gtk-engines-experience/gtk-engines-experience-0.10.5.ebuild
+++ b/x11-themes/gtk-engines-experience/gtk-engines-experience-0.10.5.ebuild
@@ -1,10 +1,11 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=4
-inherit autotools eutils
+EAPI=7
-MY_P=${P/engines/engine}
+inherit autotools
+
+MY_P="${P/engines/engine}"
DESCRIPTION="GTK+ Experience Theme Engine"
HOMEPAGE="http://benjamin.sipsolutions.net/Projects/eXperience"
@@ -13,19 +14,21 @@ SRC_URI="http://benjamin.sipsolutions.net/experience/${MY_P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="amd64 ~ppc sparc x86 ~amd64-linux ~x86-linux"
-IUSE=""
-RDEPEND=">=x11-libs/gtk+-2.6:2"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
src_prepare() {
+ default
eautoreconf # need new libtool for interix
}
src_install() {
default
- prune_libtool_files --all
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
}
next reply other threads:[~2019-12-24 11:53 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-24 11:53 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-29 18:21 [gentoo-commits] repo/gentoo:master commit in: x11-themes/gtk-engines-experience/ Sam James
2017-07-29 14:18 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1577188395.1d5f3be083259cb87c2825d0c79ea20df3d85043.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox